Debian Bug report logs - #354694
beep: No sound with latest release

version graph

Package: beep; Maintainer for beep is Gerfried Fuchs <rhonda@debian.org>; Source for beep is src:beep.

Reported by: Vedran Furač <vedranf@riteh.hr>

Date: Tue, 28 Feb 2006 09:33:05 UTC

Severity: normal

Tags: moreinfo, unreproducible

Found in version beep/1.2.2-17

Fixed in version beep/1.2.2-18

Done: Gerfried Fuchs <alfie@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#354694; Package beep. Full text and rfc822 format available.

Acknowledgement sent to Vedran Furač <vedranf@riteh.hr>:
New Bug report received and forwarded. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedranf@riteh.hr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: beep: No sound with latest release
Date: Tue, 28 Feb 2006 10:17:56 +0100
Package: beep
Version: 1.2.2-17
Severity: grave
Justification: renders package unusable

Releases -15/-16 worked fine, but after upgrade to -17 it stoped working.
$ beep -l 2000 -f 440 gives me two seconds of silence.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (900, 'unstable'), (800, 'experimental'), (500, 'testing'), (55, 'breezy')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.14-acid2
Locale: LANG=hr_HR.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages beep depends on:
ii  debconf                       1.4.71     Debian configuration management sy
ii  libc6                         2.3.6-2    GNU C Library: Shared libraries an

beep recommends no packages.

-- debconf information:
  beep/suid_option: suid root with only group audio executable



Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#354694; Package beep. Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <alfie@ist.org>:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #10 received at 354694@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@ist.org>
To: Vedran Fura?? <vedranf@riteh.hr>, 354694@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: beep: No sound with latest release
Date: Wed, 1 Mar 2006 11:36:55 +0100
[Message part 1 (text/plain, inline)]
severity 354694 normal
tags 354694 + unreproducible moreinfo
thanks

* Vedran Fura?? <vedranf@riteh.hr> [2006-02-28 10:17]:
> Releases -15/-16 worked fine, but after upgrade to -17 it stoped working.
> $ beep -l 2000 -f 440 gives me two seconds of silence.

 I can't reproduce it, sorry. It works well here, with the same libc6
version, tested it before uploading. And I got reports from some users
that it indeed fixed their wishes about the udeb and stuff, so I rather
guess the problem is at your part... Can you maybe try to debug it? Does
your system beep go to the soundcard usually? Do you hear a
"/usr/bin/printf \\a"?

 Can you maybe get me an strace output of that beep call?

 So long,
Alfie
-- 
        "It's today!" said Piglet.
        "My favorite day," said Pooh.
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal'. Request was from Gerfried Fuchs <alfie@ist.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: unreproducible, moreinfo Request was from Gerfried Fuchs <alfie@ist.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#354694; Package beep. Full text and rfc822 format available.

Acknowledgement sent to vedranf@riteh.hr:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #19 received at 354694@bugs.debian.org (full text, mbox):

From: Vedran Furač <vedranf@vedranf.mine.nu>
To: Gerfried Fuchs <alfie@ist.org>
Cc: 354694@bugs.debian.org
Subject: Re: beep: No sound with latest release
Date: Sat, 04 Mar 2006 13:50:53 +0100
Gerfried Fuchs wrote:

> Does your system beep go to the soundcard usually?

No, it goes to the pc speaker (pcspkr kernel module)

> Do you hear a "/usr/bin/printf \\a"?

No.

>  Can you maybe get me an strace output of that beep call?

Yes. I have to do it as root.

Release -17, the "no beep" release:

# strace beep -f 555

execve("/usr/bin/beep", ["beep", "-f", "555"], [/* 54 vars */]) = 0
uname({sys="Linux", node="pollux", ...}) = 0
brk(0)                                  = 0x804b000
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7f8b000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or
directory)
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7f8a000
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=120036, ...}) = 0
old_mmap(NULL, 120036, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7f6c000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260O\1"..., 512)
= 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1270928, ...}) = 0
old_mmap(NULL, 1276892, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0xb7e34000
old_mmap(0xb7f62000, 32768, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12e000) = 0xb7f62000
old_mmap(0xb7f6a000, 7132, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7f6a000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7e33000
mprotect(0xb7f62000, 20480, PROT_READ)  = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7e336c0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0,
limit_in_pages:1, seg_not_present:0, useable:1}) = 0
munmap(0xb7f6c000, 120036)              = 0
brk(0)                                  = 0x804b000
brk(0x806c000)                          = 0x806c000
rt_sigaction(SIGINT, {0x80489d0, [INT], SA_RESTART}, {SIG_DFL}, 8) = 0
open("/dev/input/event0", O_WRONLY)     = 3
ioctl(3, 0x8000451a, 0)                 = 0
write(3, "\32E\0\200\1\0\0\0\22\0\2\0+\2\0\0", 16) = 16
nanosleep({0, 200000000}, NULL)         = 0
write(3, "\0\374\271\277\0\0\0\0\22\0\2\0\0\0\0\0", 16) = 16
close(3)                                = 0
exit_group(0)                           = ?


Release -16, the "it beeps" release:


# strace ./beep -f 555
execve("./beep", ["./beep", "-f", "555"], [/* 54 vars */]) = 0
uname({sys="Linux", node="pollux", ...}) = 0
brk(0)                                  = 0x804b000
fcntl64(0, F_GETFD)                     = 0
fcntl64(1, F_GETFD)                     = 0
fcntl64(2, F_GETFD)                     = 0
access("/etc/suid-debug", F_OK)         = -1 ENOENT (No such file or
directory)
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7fda000
access("/etc/ld.so.preload", R_OK)      = -1 ENOENT (No such file or
directory)
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7fd9000
open("/etc/ld.so.cache", O_RDONLY)      = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=120036, ...}) = 0
old_mmap(NULL, 120036, PROT_READ, MAP_PRIVATE, 3, 0) = 0xb7fbb000
close(3)                                = 0
access("/etc/ld.so.nohwcap", F_OK)      = -1 ENOENT (No such file or
directory)
open("/lib/tls/libc.so.6", O_RDONLY)    = 3
read(3, "\177ELF\1\1\1\0\0\0\0\0\0\0\0\0\3\0\3\0\1\0\0\0\260O\1"..., 512)
= 512
fstat64(3, {st_mode=S_IFREG|0755, st_size=1270928, ...}) = 0
old_mmap(NULL, 1276892, PROT_READ|PROT_EXEC, MAP_PRIVATE|MAP_DENYWRITE, 3,
0) = 0xb7e83000
old_mmap(0xb7fb1000, 32768, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_DENYWRITE, 3, 0x12e000) = 0xb7fb1000
old_mmap(0xb7fb9000, 7132, PROT_READ|PROT_WRITE,
MAP_PRIVATE|MAP_FIXED|MAP_ANONYMOUS, -1, 0) = 0xb7fb9000
close(3)                                = 0
old_mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1,
0) = 0xb7e82000
mprotect(0xb7fb1000, 20480, PROT_READ)  = 0
set_thread_area({entry_number:-1 -> 6, base_addr:0xb7e826c0,
limit:1048575, seg_32bit:1, contents:0, read_exec_only:0,
limit_in_pages:1, seg_not_present:0, useable:1}) = 0
munmap(0xb7fbb000, 120036)              = 0
brk(0)                                  = 0x804b000
brk(0x806c000)                          = 0x806c000
rt_sigaction(SIGINT, {0x8048834, [INT], SA_RESTART}, {SIG_DFL}, 8) = 0
open("/dev/tty0", O_WRONLY)             = 3
ioctl(3, KIOCSOUND, 0x865)              = 0
nanosleep({0, 200000000}, NULL)         = 0
ioctl(3, KIOCSOUND, 0)                  = 0
close(3)                                = 0
exit_group(0)                           = ?


The first one opens the /dev/input/event0, the second one opens the
/dev/tty0.

>  So long,
> Alfie

Regards,

Vedran Furač


-- 
Men are born ignorant, not stupid. They are made stupid by education.
	--Bertrand Russell




Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#354694; Package beep. Full text and rfc822 format available.

Acknowledgement sent to Neil Woods <cnw+dbts@pobox.com>:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #24 received at 354694@bugs.debian.org (full text, mbox):

From: Neil Woods <cnw+dbts@pobox.com>
To: Debian Bug Tracking System <354694@bugs.debian.org>
Subject: Re: beep: No sound with latest release (confirmation)
Date: Mon, 06 Mar 2006 23:18:41 +0000
Package: beep
Version: 1.2.2-17
Followup-For: Bug #354694

I can confirm that release -17 does not work here either, by default.
It has to do with the change in the last release between using evdev 
as the default device. Specifying the device on the command line:

% beep -e /dev/tty0 -f 1000 -n -f 2000 -n -f 1500

works fine. I have /dev/input/event0 on my system:

% ls -l /dev/input/
total 0
crw-rw----  1 root root 13,  64 Jan  1  1970 event0
crw-rw----  1 root root 13,  65 Jan  1  1970 event1
crw-rw----  1 root root 13,  66 Jan  1  1970 event2
crw-rw----  1 root root 13,  67 Jan  1  1970 event3
crw-rw----  1 root root 13,  63 Jan  1  1970 mice
crw-rw----  1 root root 13,  32 Jan  1  1970 mouse0
crw-r--r--  1 root root 13, 128 Jan  1  1970 ts0
crw-r--r--  1 root root 13, 144 Jan  1  1970 tsraw0

I am using the last stable kernel from Sarge, otherwise my system is
Etch.  I am using devfs, if that makes any difference.

Lastly, "printf '\a'" *does* produce a beep. 

Hope this helps.

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.12-1-k7
Locale: LANG=C, LC_CTYPE=en_GB (charmap=ISO-8859-1)

Versions of packages beep depends on:
ii  debconf [debconf-2.0]         1.4.71     Debian configuration management sy
ii  libc6                         2.3.5-13   GNU C Library: Shared libraries an

beep recommends no packages.

-- debconf information:
* beep/suid_option: suid root with only group audio executable



Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#354694; Package beep. Full text and rfc822 format available.

Acknowledgement sent to Kevin Locke <kwl7@cornell.edu>:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #29 received at 354694@bugs.debian.org (full text, mbox):

From: Kevin Locke <kwl7@cornell.edu>
To: Debian Bug Tracking System <354694@bugs.debian.org>
Subject: Re: beep: No sound with latest release (explanation)
Date: Mon, 20 Mar 2006 10:24:01 -0500
Package: beep
Version: 1.2.2-17
Followup-For: Bug #354694

I can also confirm that the patch from bug #350214 to include evdev
(pcspkr) support that was included in release -17 is responsible for the
breakage.  I can also explain why.

The problem is that the code assumes that /dev/input/event0 is the
device for the PC Speaker, which is not necessarily true.  For example,
on my system event0 is the event device for my keyboard and event1 is
the device for the PC Speaker.  Instead the code needs to check which
device is the proper speaker device (possibly by iterating over the
/sys/class/input/input*/name files looking for "PC Speaker" or by
parsing /proc/bus/input/devices), and only use an event device if it
finds the appropriate device node to use.

Kevin

-- System Information:
Debian Release: testing/unstable
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15.20060214a
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)

Versions of packages beep depends on:
ii  debconf [debconf-2.0]         1.4.72     Debian configuration management sy
ii  libc6                         2.3.6-3    GNU C Library: Shared libraries an

beep recommends no packages.

-- debconf information:
* beep/suid_option: suid root with only group audio executable



Information forwarded to debian-bugs-dist@lists.debian.org, Gerfried Fuchs <alfie@debian.org>:
Bug#354694; Package beep. Full text and rfc822 format available.

Acknowledgement sent to Lex Hider <lexhider@internode.on.net>:
Extra info received and forwarded to list. Copy sent to Gerfried Fuchs <alfie@debian.org>. Full text and rfc822 format available.

Message #34 received at 354694@bugs.debian.org (full text, mbox):

From: Lex Hider <lexhider@internode.on.net>
To: 354694@bugs.debian.org
Subject: no beep with v17
Date: Thu, 18 May 2006 23:23:07 +1000
I can confirm that 1.2.2-17 doesn't beep on my system. downgrading to 1.2.2-15 
fixes things so it looks like a regression.

printf '\a' works on my system.
With 1.2.2-17, beep -e /dev/tty0 also works.

Let me know if I can help out with any more helpful info.

Cheers,

Lex.

PS - I'm running up to date sid.



Reply sent to Gerfried Fuchs <alfie@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Vedran Furač <vedranf@riteh.hr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 354694-close@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <alfie@debian.org>
To: 354694-close@bugs.debian.org
Subject: Bug#354694: fixed in beep 1.2.2-18
Date: Fri, 30 Jun 2006 01:47:04 -0700
Source: beep
Source-Version: 1.2.2-18

We believe that the bug you reported is fixed in the latest version of
beep, which is due to be installed in the Debian FTP archive:

beep-udeb_1.2.2-18_i386.udeb
  to pool/main/b/beep/beep-udeb_1.2.2-18_i386.udeb
beep_1.2.2-18.diff.gz
  to pool/main/b/beep/beep_1.2.2-18.diff.gz
beep_1.2.2-18.dsc
  to pool/main/b/beep/beep_1.2.2-18.dsc
beep_1.2.2-18_i386.deb
  to pool/main/b/beep/beep_1.2.2-18_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 354694@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerfried Fuchs <alfie@debian.org> (supplier of updated beep package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 25 Jun 2006 11:12:11 -0500
Source: beep
Binary: beep beep-udeb
Architecture: source i386
Version: 1.2.2-18
Distribution: unstable
Urgency: low
Maintainer: Gerfried Fuchs <alfie@debian.org>
Changed-By: Gerfried Fuchs <alfie@debian.org>
Description: 
 beep       - advanced pc-speaker beeper
 beep-udeb  - advanced pc-speaker beeper (udeb)
Closes: 354694 375358
Changes: 
 beep (1.2.2-18) unstable; urgency=low
 .
   * Use install instead of make install which just copies over the files...
   * Changed postrm to remove bashism.
   * Reverted part of the evdev patch: One needs to explicitly ask for using
     /dev/input/event0 with the -e switch instead of it being tried
     automatically (closes: #354694)
   * Bumped Standards-Version to 3.7.2, no changes needed.
   * Add overrides for using-first-person-in-templates, it's about me as
     package maintainer.
   * Changed templates texting for the select prompt.
   * Translations updated: Brazilian Portuguese (Felipe Augusto van de Wiel),
     German (myself), Catalan (Miguel Gea Milvaques), Spanish (David Martínez
     Moreno), Swedish (Daniel Nylander), Portuguese (Miguel Figueiredo), Czech
     (Miroslav Kure), Vietnamese (Clytie Siddall), French (Daniel Déchelotte,
     closes: #375358)
Files: 
 ed3205a7e81b806c7805a5973bff962f 559 sound optional beep_1.2.2-18.dsc
 c8ef19f7ba9feba31bacc84af6ffe54c 16237 sound optional beep_1.2.2-18.diff.gz
 77e1b5f308fa73db6fb0fb2dad345d0f 21380 sound optional beep_1.2.2-18_i386.deb
 25b59195ee7b97f10a8ae5455b5b7684 4638 debian-installer optional beep-udeb_1.2.2-18_i386.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEpOANELuA/Ba9d8YRAhykAJ9OcVa7lycwfMIM24rjUZqxS7XKuQCePnQ0
OazyD4gQHcGwVPhXY3FYHtU=
=XeSD
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Jun 2007 05:56:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 18:32:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.